/*
* (C) Copyright 2011
* Texas Instruments, <www.ti.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston,
* MA 02111-1307 USA
*/

#ifndef _PINMUX_H_
#define _PINMUX_H_

/*
 * M0 - Mux mode 0
 * M1 - Mux mode 1
 * M2 - Mux mode 2
 * M3 - Mux mode 3
 * M4 - Mux mode 4
 * M5 - Mux mode 5
 * M6 - Mux mode 6
 * M7 - Mux mode 7
 * IDIS - Input disabled
 * IEN - Input enabled
 * PD - Active-mode pull-down enabled
 * PU - Active-mode pull-up enabled
 * PI - Active-mode pull inhibited
 */

#define MUX_AM3517EVM() \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA0, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA1, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA2, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA3, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA4, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA5, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA6, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_DATA7, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_FIELD, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_HD, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_PCLK, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_VD, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_CCDC_WEN, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_ACBIAS, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA0, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA1, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA2, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA3, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA4, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA5, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA6, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA7, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA8, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA9, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA10, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA11, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA12, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA13, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA14, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA15, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA16, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA17, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA18, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA19, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA20, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA21, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA22, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_DATA23, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_HSYNC, (IDIS | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_PCLK, (IDIS | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_DSS_VSYNC, (IDIS | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_ETK_CLK_ES2, (IDIS | PU | M3 )) /* hsusb1_stp */\
MUX_VAL(CONTROL_PADCONF_ETK_CTL_ES2, (IDIS | PU | M3 )) /* hsusb1_clk */\
MUX_VAL(CONTROL_PADCONF_ETK_D0_ES2, (IEN | PU | M3 )) /* hsusb1_data0 */\
MUX_VAL(CONTROL_PADCONF_ETK_D1_ES2, (IEN | PU | M3 )) /* hsusb1_data1 */\
MUX_VAL(CONTROL_PADCONF_ETK_D2_ES2, (IEN | PU | M3 )) /* hsusb1_data2 */\
MUX_VAL(CONTROL_PADCONF_ETK_D3_ES2, (IEN | PU | M3 )) /* hsusb1_data7 */\
MUX_VAL(CONTROL_PADCONF_ETK_D4_ES2, (IEN | PD | M3 )) /* hsusb1_data4 */\
MUX_VAL(CONTROL_PADCONF_ETK_D5_ES2, (IEN | PD | M3 )) /* hsusb1_data5 */\
MUX_VAL(CONTROL_PADCONF_ETK_D6_ES2, (IEN | PD | M3 )) /* hsusb1_data6 */\
MUX_VAL(CONTROL_PADCONF_ETK_D7_ES2, (IEN | PD | M3 )) /* hsusb1_data3 */\
MUX_VAL(CONTROL_PADCONF_ETK_D8_ES2, (IEN | PD | M3 )) /* hsusb1_dir */\
MUX_VAL(CONTROL_PADCONF_ETK_D9_ES2, (IEN | PD | M3 )) /* hsusb1_nxt */\
MUX_VAL(CONTROL_PADCONF_ETK_D10_ES2, (IEN | PU | M4 )) /* gpio_24 */\
MUX_VAL(CONTROL_PADCONF_ETK_D11_ES2, (IEN | PU | M4 )) /* gpio_25 */\
MUX_VAL(CONTROL_PADCONF_ETK_D12_ES2, (IEN | PU | M4 )) /* gpio_26 */\
MUX_VAL(CONTROL_PADCONF_ETK_D13_ES2, (IEN | PU | M4 )) /* gpio_27 */\
MUX_VAL(CONTROL_PADCONF_ETK_D14_ES2, (IEN | PD | M4 )) /* gpio_28 */\
MUX_VAL(CONTROL_PADCONF_ETK_D15_ES2, (IEN | PD | M4 )) /* gpio_29 */\
MUX_VAL(CONTROL_PADCONF_GPMC_A1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A2, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A3, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A4, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A5, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A6, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A7, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A8, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A9, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_A10, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_CLK, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D1, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D2, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D3, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D4, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D5, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D6, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D7, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D8, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D9, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D10, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D11, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D12, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D13, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D14, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_D15, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NADV_ALE, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NBE0_CLE, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NBE1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS0, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS2, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS3, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS4, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS5, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS6, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NCS7, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NOE, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NWE, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_NWP, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_WAIT0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_WAIT1, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_WAIT2, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_GPMC_WAIT3, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_HDQ_SIO, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_HECC1_RXD, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_HECC1_TXD, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C1_SCL, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C1_SDA, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C2_SCL, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C2_SDA, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C3_SCL, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_I2C3_SDA, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_EMU0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_EMU1, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_nTRST, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_RTCK, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_TCK, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_TDI, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_TDO, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_JTAG_TMS, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP_CLKS, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_CLKR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_CLKX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_DR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_DX, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_FSR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP1_FSX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP2_CLKX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP2_DR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP2_DX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP2_FSX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP3_CLKX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP3_DR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP3_DX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP3_FSX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP4_CLKX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP4_DR, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP4_DX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCBSP4_FSX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_CLK, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_CS0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_CS1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_CS2, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_CS3, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_SIMO, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI1_SOMI, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI2_CLK, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI2_CS0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI2_CS1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI2_SIMO, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MCSPI2_SOMI, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_CLK, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_CMD, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_DAT0, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_DAT1, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_DAT2, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_DAT3, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC1_DAT4, (IEN | PU | M4 )) /* gpio_126 */\
MUX_VAL(CONTROL_PADCONF_MMC1_DAT5, (IEN | PU | M4 )) /* gpio_127 */\
MUX_VAL(CONTROL_PADCONF_MMC1_DAT6, (IEN | PU | M4 )) /* gpio_128 */\
MUX_VAL(CONTROL_PADCONF_MMC1_DAT7, (IEN | PU | M4 )) /* gpio_129 */\
MUX_VAL(CONTROL_PADCONF_MMC2_CLK, (IDIS | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_CMD, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_DAT0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_DAT1, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_DAT2, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_DAT3, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_MMC2_DAT4, (IEN | PU | M4 )) /* gpio_136 */\
MUX_VAL(CONTROL_PADCONF_MMC2_DAT5, (IEN | PU | M4 )) /* gpio_137 */\
MUX_VAL(CONTROL_PADCONF_MMC2_DAT6, (IEN | PU | M4 )) /* gpio_138 */\
MUX_VAL(CONTROL_PADCONF_MMC2_DAT7, (IEN | PU | M4 )) /* gpio_139 */\
MUX_VAL(CONTROL_PADCONF_RMII_50MHZ_CLK, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_CRS_DV, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_MDIO_CLK, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_MDIO_DATA, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_RXD0, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_RXD1, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_RXER, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_TXD0, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_TXD1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_RMII_TXEN, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_CKE0, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_CLK, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D0, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D1, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D2, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D3, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D4, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D5, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D6, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D7, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D8, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D9, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D10, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D11, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D12, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D13, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D14, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D15, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D16, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D17, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D18, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D19, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D20, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D21, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D22, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D23, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D24, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D25, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D26, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D27, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D28, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D29, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D30, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_D31, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS0N, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS0, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS1N, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS1, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS2N, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS2, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS3N, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SDRC_DQS3, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_STRBEN_DLY0, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_STRBEN_DLY1, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_32K, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT0, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT1, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT2, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT3, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT4, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT5, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT6, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT7, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_BOOT8, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_CLKOUT1, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_CLKOUT2, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_CLKREQ, (IEN | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_NIRQ, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_SYS_NRESWARM, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART1_CTS, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART1_RTS, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART1_RX, (IEN | PD | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART1_TX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART2_CTS, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART2_RTS, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART2_RX, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART2_TX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART3_CTS_RCTX, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART3_RTS_SD, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART3_RX_IRRX, (IEN | PU | M0 )) \
MUX_VAL(CONTROL_PADCONF_UART3_TX_IRTX, (IDIS | PI | M0 )) \
MUX_VAL(CONTROL_PADCONF_USB0_DRVBUS, (IDIS | PI | M0 )) \

#endif
